Index: src/Views/QT4/QTMoleculesView.cpp
===================================================================
--- src/Views/QT4/QTMoleculesView.cpp	(revision 2561df9603fa89c37a857881ef0c7679508c13a0)
+++ 	(revision )
@@ -1,100 +1,0 @@
-/*
- * QTMoleculesView.cpp
- *
- *  Created on: Jan 21, 2010
- *      Author: crueger
- */
-
-#include "Views/QT4/QTMoleculesView.hpp"
-
-#include <iostream>
-
-#include "atom.hpp"
-#include "molecule.hpp"
-
-using namespace std;
-
-// maybe this should go with the definition of molecules
-
-// some attributes need to be easier to find for molecules
-// these attributes are skiped so far
-const int QTMoleculesView::COLUMNCOUNT = COLUMNTYPES_MAX;
-const char *QTMoleculesView::COLUMNNAMES[QTMoleculesView::COLUMNCOUNT]={"Name","Atoms"/*,"Formula"*/,"Center"/*,"Size"*/};
-
-QTMoleculesView::QTMoleculesView(MoleculeListClass *_molecules,QWidget * _parent) :
-  QTableWidget (_parent),
-  molecules(_molecules)
-{
-  setRowCount(0);
-  setColumnCount(COLUMNCOUNT);
-
-  for(int i=0; i<COLUMNCOUNT;++i) {
-    QTableWidgetItem *heading = new QTableWidgetItem();
-    heading->setText(QString(COLUMNNAMES[i]));
-    setHorizontalHeaderItem(i,heading);
-  }
-
-  molecules->signOn(this);
-  update(molecules);
-
-  connect(this,SIGNAL(cellChanged(int,int)),this,SLOT(moleculeChanged(int,int)));
-
-}
-
-QTMoleculesView::~QTMoleculesView()
-{
-  molecules->signOff(this);
-}
-
-void QTMoleculesView::update(Observable *publisher) {
-  int numMolecules = molecules->ListOfMolecules.size();
-  setRowCount(numMolecules);
-  int i;
-  MoleculeList::iterator iter;
-  for(iter = molecules->ListOfMolecules.begin(),i=0;
-      iter != molecules->ListOfMolecules.end();
-      ++i,++iter) {
-    const int index = (*iter)->IndexNr;
-    QTableWidgetItem *indexWidget = new QTableWidgetItem();
-    // there probably is an easier method to convert ints to QStrings... but i didn't find it
-    stringstream idxsstr;
-    idxsstr << index;
-    indexWidget->setText(QString(idxsstr.str().c_str()));
-    indexWidget->setData(Qt::UserRole,QVariant(index));
-    setVerticalHeaderItem(i,indexWidget);
-    const string name = (*iter)->getName();
-    QTableWidgetItem *nameWidget = new QTableWidgetItem();
-    nameWidget->setText(QString(name.c_str()));
-    setItem(i,NAME,nameWidget);
-    const int atomCount = (*iter)->AtomCount;
-    QTableWidgetItem *countWidget= new QTableWidgetItem();
-    stringstream countsstr;
-    countsstr << atomCount;
-    countWidget->setText(QString(countsstr.str().c_str()));
-    countWidget->setFlags(Qt::ItemIsEnabled);
-    setItem(i,ATOMS,countWidget);
-    const Vector center = (*iter)->Center;
-    QTableWidgetItem *centerWidget = new QTableWidgetItem();
-    stringstream centersstr;
-    centersstr << center;
-    centerWidget->setText(QString(centersstr.str().c_str()));
-    setItem(i,CENTER,centerWidget);
-    centerWidget->setFlags(Qt::ItemIsEnabled);
-  }
-}
-
-void QTMoleculesView::subjectKilled(Observable *publisher) {
-}
-
-void QTMoleculesView::moleculeChanged(int row, int column) {
-  int idx = verticalHeaderItem(row)->data(Qt::UserRole).toInt();
-  molecule *mol =molecules->ReturnIndex(idx);
-  string cellValue = item(row,NAME)->text().toStdString();
-  if(mol->getName() != cellValue && cellValue !="") {
-    mol->setName(cellValue);
-  }
-  else if(cellValue==""){
-    item(row,NAME)->setText(QString(mol->getName().c_str()));
-  }
-}
-
Index: src/Views/QT4/QTMoleculesView.hpp
===================================================================
--- src/Views/QT4/QTMoleculesView.hpp	(revision 2561df9603fa89c37a857881ef0c7679508c13a0)
+++ 	(revision )
@@ -1,39 +1,0 @@
-/*
- * QTMoleculesView.hpp
- *
- *  Created on: Jan 21, 2010
- *      Author: crueger
- */
-
-#ifndef QTMOLECULESVIEW_HPP_
-#define QTMOLECULESVIEW_HPP_
-
-#include <QtGui/QTableWidget>
-#include "Patterns/Observer.hpp"
-
-class MoleculeListClass;
-
-class QTMoleculesView : public QTableWidget, public Observer
-{
-  Q_OBJECT
-
-public:
-  QTMoleculesView(MoleculeListClass *_molecules,QWidget * _parent=0);
-  virtual ~QTMoleculesView();
-
-protected:
-  virtual void update(Observable *publisher);
-  virtual void subjectKilled(Observable *publisher);
-
-  static const int COLUMNCOUNT;
-  enum {NAME,ATOMS,CENTER,COLUMNTYPES_MAX} COLUMNTYPES;
-  static const char *COLUMNNAMES[];
-
-private slots:
-  void moleculeChanged(int row, int column);
-
-private:
-  MoleculeListClass *molecules;
-};
-
-#endif /* QTMOLECULESVIEW_HPP_ */
Index: src/Views/QT4/QTWorldView.cpp
===================================================================
--- src/Views/QT4/QTWorldView.cpp	(revision 63b56a73e21b1784b8d53fca43194af559c7eece)
+++ src/Views/QT4/QTWorldView.cpp	(revision 63b56a73e21b1784b8d53fca43194af559c7eece)
@@ -0,0 +1,100 @@
+/*
+ * QTWorldView.cpp
+ *
+ *  Created on: Jan 21, 2010
+ *      Author: crueger
+ */
+
+#include "Views/QT4/QTWorldView.hpp"
+
+#include <iostream>
+
+#include "atom.hpp"
+#include "molecule.hpp"
+
+using namespace std;
+
+// maybe this should go with the definition of molecules
+
+// some attributes need to be easier to find for molecules
+// these attributes are skiped so far
+const int QTWorldView::COLUMNCOUNT = COLUMNTYPES_MAX;
+const char *QTWorldView::COLUMNNAMES[QTWorldView::COLUMNCOUNT]={"Name","Atoms"/*,"Formula"*/,"Center"/*,"Size"*/};
+
+QTWorldView::QTWorldView(MoleculeListClass *_molecules,QWidget * _parent) :
+  QTableWidget (_parent),
+  molecules(_molecules)
+{
+  setRowCount(0);
+  setColumnCount(COLUMNCOUNT);
+
+  for(int i=0; i<COLUMNCOUNT;++i) {
+    QTableWidgetItem *heading = new QTableWidgetItem();
+    heading->setText(QString(COLUMNNAMES[i]));
+    setHorizontalHeaderItem(i,heading);
+  }
+
+  molecules->signOn(this);
+  update(molecules);
+
+  connect(this,SIGNAL(cellChanged(int,int)),this,SLOT(moleculeChanged(int,int)));
+
+}
+
+QTWorldView::~QTWorldView()
+{
+  molecules->signOff(this);
+}
+
+void QTWorldView::update(Observable *publisher) {
+  int numMolecules = molecules->ListOfMolecules.size();
+  setRowCount(numMolecules);
+  int i;
+  MoleculeList::iterator iter;
+  for(iter = molecules->ListOfMolecules.begin(),i=0;
+      iter != molecules->ListOfMolecules.end();
+      ++i,++iter) {
+    const int index = (*iter)->IndexNr;
+    QTableWidgetItem *indexWidget = new QTableWidgetItem();
+    // there probably is an easier method to convert ints to QStrings... but i didn't find it
+    stringstream idxsstr;
+    idxsstr << index;
+    indexWidget->setText(QString(idxsstr.str().c_str()));
+    indexWidget->setData(Qt::UserRole,QVariant(index));
+    setVerticalHeaderItem(i,indexWidget);
+    const string name = (*iter)->getName();
+    QTableWidgetItem *nameWidget = new QTableWidgetItem();
+    nameWidget->setText(QString(name.c_str()));
+    setItem(i,NAME,nameWidget);
+    const int atomCount = (*iter)->AtomCount;
+    QTableWidgetItem *countWidget= new QTableWidgetItem();
+    stringstream countsstr;
+    countsstr << atomCount;
+    countWidget->setText(QString(countsstr.str().c_str()));
+    countWidget->setFlags(Qt::ItemIsEnabled);
+    setItem(i,ATOMS,countWidget);
+    const Vector center = (*iter)->Center;
+    QTableWidgetItem *centerWidget = new QTableWidgetItem();
+    stringstream centersstr;
+    centersstr << center;
+    centerWidget->setText(QString(centersstr.str().c_str()));
+    setItem(i,CENTER,centerWidget);
+    centerWidget->setFlags(Qt::ItemIsEnabled);
+  }
+}
+
+void QTWorldView::subjectKilled(Observable *publisher) {
+}
+
+void QTWorldView::moleculeChanged(int row, int column) {
+  int idx = verticalHeaderItem(row)->data(Qt::UserRole).toInt();
+  molecule *mol =molecules->ReturnIndex(idx);
+  string cellValue = item(row,NAME)->text().toStdString();
+  if(mol->getName() != cellValue && cellValue !="") {
+    mol->setName(cellValue);
+  }
+  else if(cellValue==""){
+    item(row,NAME)->setText(QString(mol->getName().c_str()));
+  }
+}
+
Index: src/Views/QT4/QTWorldView.hpp
===================================================================
--- src/Views/QT4/QTWorldView.hpp	(revision 63b56a73e21b1784b8d53fca43194af559c7eece)
+++ src/Views/QT4/QTWorldView.hpp	(revision 63b56a73e21b1784b8d53fca43194af559c7eece)
@@ -0,0 +1,39 @@
+/*
+ * QTWorldView.hpp
+ *
+ *  Created on: Jan 21, 2010
+ *      Author: crueger
+ */
+
+#ifndef QTMOLECULESVIEW_HPP_
+#define QTMOLECULESVIEW_HPP_
+
+#include <QtGui/QTableWidget>
+#include "Patterns/Observer.hpp"
+
+class MoleculeListClass;
+
+class QTWorldView : public QTableWidget, public Observer
+{
+  Q_OBJECT
+
+public:
+  QTWorldView(MoleculeListClass *_molecules,QWidget * _parent=0);
+  virtual ~QTWorldView();
+
+protected:
+  virtual void update(Observable *publisher);
+  virtual void subjectKilled(Observable *publisher);
+
+  static const int COLUMNCOUNT;
+  enum {NAME,ATOMS,CENTER,COLUMNTYPES_MAX} COLUMNTYPES;
+  static const char *COLUMNNAMES[];
+
+private slots:
+  void moleculeChanged(int row, int column);
+
+private:
+  MoleculeListClass *molecules;
+};
+
+#endif /* QTMOLECULESVIEW_HPP_ */
